Bug 196912 - devel/libbobcat fails to build with GCC 4.9 (despite USE_GCC=yes)
Summary: devel/libbobcat fails to build with GCC 4.9 (despite USE_GCC=yes)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-01-19 23:50 UTC by Gerald Pfeifer
Modified: 2015-01-23 11:51 UTC (History)
1 user (show)

See Also:
gerald: maintainer-feedback? (bofh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-01-19 23:50:57 UTC
This is important since it blocks the upgrade of the default version
of GCC from GCC 4.8 to GCC 4.9. 

http://package18.nyi.freebsd.org/data/101amd64-default-PR196712/2015-01-16_07h05m42s/logs/errors/libbobcat-3.18.01_1.log

mkdir -p readlinebuf/oa
g++49 --std=c++0x -O2 -g -Wall -isystem tmp -c -o readlinebuf/oa/108usetimestamps.o readlinebuf/usetimestamps.cc
g++49 --std=c++0x -O2 -g -Wall -isystem tmp -c -o readlinebuf/oa/108underflow.o readlinebuf/underflow.cc
readlinebuf/underflow.cc: In member function 'virtual int FBB::ReadLineBuf::underflow()':
readlinebuf/underflow.cc:11:16: error: 'EOF' was not declared in this scope
         return EOF;
                ^
system - failure of system call (status 256)
system - failure of system call (status 256)
*** Error code 1

Also, this is badly out of date:  http://bobcat.sourceforge.net 
currently is at 3.23.01 (versus 3.18.01).
Comment 1 Gerald Pfeifer freebsd_committer 2015-01-19 23:52:39 UTC
Muhammad, devel/bisoncpp is the only consumer of this port, and you
are maintaining that one.

Any chance you can look into a version update and/or fix?
Comment 2 Muhammad Moinur Rahman freebsd_committer 2015-01-20 09:37:42 UTC
(In reply to Gerald Pfeifer from comment #1)
Hi,
I had been working on upgrading bisoncpp. Unfortunately I couldn't make it work due to the same issue. However let me start from scratch. Because to make the change I need to upgrade a couple of ports.

devel/icmake > textproc/yodl > devel/libbobcat > /devel/bisoncpp.

Completed working on icmake. Will update you soon.
Comment 3 Muhammad Moinur Rahman freebsd_committer 2015-01-21 10:30:38 UTC
(In reply to Muhammad Moinur Rahman from comment #2)
Updated yodl. Working on libbobcat.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2015-01-21 10:56:11 UTC
(In reply to Muhammad Moinur Rahman from comment #3)
So far I was able to build libbobcat current version with GCC 4.9. Do you want me to update it too? Can't work on 3.23.01 as it fails to build at some point which is beyond my knowledge based on the time I have invested so far. It might take a bit longer than anticipated. If you give me a go ahead I will update the port to fix the build.
Comment 5 Muhammad Moinur Rahman freebsd_committer 2015-01-21 15:11:06 UTC
(In reply to Muhammad Moinur Rahman from comment #4)
Poudriere running. Hope it will end by the morning. :)
Comment 6 Gerald Pfeifer freebsd_committer 2015-01-21 16:08:17 UTC
(In reply to Muhammad Moinur Rahman from comment #4)
> So far I was able to build libbobcat current version with GCC 4.9.
> Do you want me to update it too?

Updating to a newer version probably would be nice in general,
getting it to build with a newer version of GCC is the (more)
important element and sufficient to make me happy. :-)
Comment 7 Muhammad Moinur Rahman freebsd_committer 2015-01-22 07:10:47 UTC
(In reply to Gerald Pfeifer from comment #6)
So far my build with USE_GCC=4.9 completed successfully. Nice for the general and making you happy too. :P. I have started another poudriere for USE_GCC=any for checking with 4.8. It will complete faster I believe. You have to wait a little more.
Comment 8 commit-hook freebsd_committer 2015-01-23 11:50:22 UTC
A commit references this bug:

Author: bofh
Date: Fri Jan 23 11:50:17 UTC 2015
New revision: 377728
URL: https://svnweb.freebsd.org/changeset/ports/377728

Log:
  devel/libbobcat: Update version 3.18.01=>3.21.01

  - Unbreak for GCC 4.9 [1]
  - Take maintainership

  PR:			196912 [1]
  Differential Revision:	https://reviews.freebsd.org/D1598
  Submitted by:		gerald [1]
  Approved by:		marino(mentor)

Changes:
  head/devel/libbobcat/Makefile
  head/devel/libbobcat/distinfo
  head/devel/libbobcat/files/patch-icmake-man
  head/devel/libbobcat/files/patch-readlinebuf_readlinebuf
  head/devel/libbobcat/pkg-plist
Comment 9 Muhammad Moinur Rahman freebsd_committer 2015-01-23 11:51:12 UTC
Committed. Thanks.